package com.godoro.drawer;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
/**
 * izimin yapld class
 * Tm izgileri lines vector'unde tutar.
 * CanvasMouseAdapter ve CanvasMouseMotionAdapter ile fare olaylarn tutar.
 * pressedX,pressedY en son baslan noktay tutar.
 * drawingLine ise u anda izim yaplan line' tutar. drag edildii srece boyu deitirilir.
 */

public class DrawCanvas extends Canvas{
  private Vector lines=new Vector();
  private int pressedX,pressedY;
  private Line drawingLine=null;
  public DrawCanvas(){
    setBackground(Color.WHITE);
    addMouseListener(new CanvasMouseAdapter());
    addMouseMotionListener(new CanvasMouseMotionAdapter());
  }
  public void paint(Graphics g){
    for(int i=0;i<lines.size();i++){
      Line line=(Line)lines.get(i);
      line.draw(g);
    }
  }
  class CanvasMouseAdapter extends MouseAdapter{
    public void mousePressed(MouseEvent e){
      pressedX=e.getX();
      pressedY=e.getY();
    }
    public void mouseReleased(MouseEvent e){
      drawingLine=null;
    }
  }
  class CanvasMouseMotionAdapter extends MouseMotionAdapter{
    public void mouseDragged(MouseEvent e){
      int x=e.getX();
      int y=e.getY();
      if(drawingLine==null){
        drawingLine=new Line(pressedX,pressedY,x,y);
        lines.add(drawingLine);
      }else{
        drawingLine.change(x,y);
      }
      repaint();
    }
  }
}